Subject: Re: bug#54283: eog-plugins don't shop up

From: [email-masked]
Date: Sat, 12 Mar 2022 12:22:25 +0800

Roman Riabenko <[email-masked]> writes:

> Hello, Liliana. Thank you for looking into this.
> [...]
>
> Roman
>
> У пн, 2022-03-07 у 08:30 +0100, Liliana Marie Prikler пише:
>> Hi Roman,
>> 
>> Am Montag, dem 07.03.2022 um 07:34 +0200 schrieb Roman Riabenko:
>> > I installed eog-plugins, but they do not show up in EOG Preferences
>> > >
>> > Plugins.
>> Note that eog-plugins have the version 3.26.8, while EOG itself has
>> version 40.3 -- in other words, a mismatch.  There is to my knowledge
>> no eog-plugins release for 40.3, but there are release candidates for
>> 42.  Apart from that, it would appear that the plugin installation
>> path
>> changed from lib/ to share/, but we could add our own lib-respecting
>> plugin path to eog with a patch or snippet once we have corresponding
>> eog-plugins again.
>> [...]

Hello, Roman and Liliana, thanks for the report and explain.

I have fixed this issue in commit b769fe7f756 by symlink the plugins
directory in eog-plugins from lib/ to share/.